commit:     f537a565df7175abcdc099a72f77331c5e604919
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 26 14:44:53 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Jul 26 14:57:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f537a565

dev-util/pkgconf: Added new EGIT_REPO_URI and HOMEPAGE to live ebuild

Also...

- bumped ebuild to EAPI-7
- did some minor cosmetic ebuild fixes
- Synced KEYWORDS with release ebuild

Thanks-to: Alexander Tsoy <alexander <AT> tsoy.me>
Closes: https://bugs.gentoo.org/687584
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-util/pkgconf/pkgconf-9999.ebuild | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/dev-util/pkgconf/pkgconf-9999.ebuild 
b/dev-util/pkgconf/pkgconf-9999.ebuild
index 780b57975a0..64b29db65e5 100644
--- a/dev-util/pkgconf/pkgconf-9999.ebuild
+++ b/dev-util/pkgconf/pkgconf-9999.ebuild
@@ -1,20 +1,21 @@
 # Copyright 2012-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
+inherit multilib-minimal
 
 if [[ ${PV} == "9999" ]] ; then
-       EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+       #EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+       EGIT_REPO_URI="https://git.dereferenced.org/${PN}/${PN}.git";
        inherit autotools git-r3
 else
        SRC_URI="http://distfiles.dereferenced.org/${PN}/${P}.tar.xz";
-       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sh ~sparc ~x86"
 fi
 
-inherit multilib-minimal
-
 DESCRIPTION="pkg-config compatible replacement with no dependencies other than 
ANSI C89"
-HOMEPAGE="https://github.com/pkgconf/pkgconf";
+HOMEPAGE="https://git.dereferenced.org/pkgconf/pkgconf/";
 
 LICENSE="ISC"
 SLOT="0/3"
@@ -53,7 +54,7 @@ src_prepare() {
 }
 
 multilib_src_configure() {
-       ECONF_SOURCE=${S} econf
+       ECONF_SOURCE="${S}" econf
 }
 
 multilib_src_test() {
@@ -68,11 +69,11 @@ multilib_src_install() {
                dosym pkgconf /usr/bin/pkg-config
                dosym pkgconf.1 /usr/share/man/man1/pkg-config.1
        else
-               rm "${ED%/}"/usr/share/aclocal/pkg.m4 || die
+               rm "${ED}"/usr/share/aclocal/pkg.m4 || die
        fi
 }
 
 multilib_src_install_all() {
        einstalldocs
-       find "${ED}" -name '*.la' -delete || die
+       find "${ED}" -type f -name '*.la' -delete || die
 }

Reply via email to